Subject: Re: [PATCH] powerpc: Add configurable -Werror for arch/powerpc

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 16 Jun 2009 07:23:42 +1000

> Yeah that occured to me, someone with a chrp machine would need to test
> it, do we have one?

Yup, I think we do. I'll check that when I'm in the office.

> > We can have a closer look tomorrow. In any case, stack alloc for that is
> > indeed fishy.
> 
> The obvious patch to make it static doesn't fly because it's called on
> every cpu via a timer, so it needs to be a per-cpu at least I think. Or
> borrow the pseries trick of calling it on each cpu in succession, or
> just borrow the pseries code.

Right.

Cheers,
Ben.